WinUser.FLASHWINFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinUser, class: FLASHWINFO

Package com.sun.jna.platform.win32

# Class WinUser.FLASHWINFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinUser.FLASHWINFO

Enclosing interface:
  WinUser

@FieldOrder({"cbSize","hWnd","dwFlags","uCount","dwTimeout"}) public static class WinUser.FLASHWINFO extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbSize`
  `int`
  `dwFlags`
  `int`
  `dwTimeout`
  `WinNT.HANDLE`
  `hWnd`
  `int`
  `uCount`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FLASHWINFO()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbSize

    public int cbSize

  - ### hWnd

    public WinNT.HANDLE hWnd

  - ### dwFlags

    public int dwFlags

  - ### uCount

    public int uCount

  - ### dwTimeout

    public int dwTimeout

- ## Constructor Details

  - ### FLASHWINFO

    public FLASHWINFO()